Bug 1695645 - [Kubevirt-Foreman] Image based provisioning should have bootorder: 1 for containerDisk
Summary: [Kubevirt-Foreman] Image based provisioning should have bootorder: 1 for cont...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Moti Asayag
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On: 1746434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 13:57 UTC by Vatsal Parekh
Modified: 2020-04-14 13:24 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_kubevirt-0.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github masayag foreman_kubevirt pull 60 None None None 2020-08-04 15:57:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:19 UTC

Description Vatsal Parekh 2019-04-03 13:57:58 UTC
Description of problem:
Image based provisioning should have bootorder: 1 for the containerDisk
a example yaml from a VM created from KubeVirt console
```
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: rootdisk
            - disk:
                bus: virtio
              name: test-noboot
          interfaces:
            - bridge: {}
              name: nic0
          rng: {}
        machine:
          type: ''
        resources:
          requests:
            memory: 4G
      networks:
        - name: nic0
          pod: {}
      terminationGracePeriodSeconds: 0
      volumes:
        - containerDisk:
            image: kubevirt/fedora-cloud-registry-disk-demo
          name: rootdisk
        - dataVolume:
            name: test-noboot-test-fedora
          name: test-noboot
```

Version-Release number of selected component (if applicable):
master of the plugin

How reproducible:


Steps to Reproduce:
1.Create a Image based host
2.
3.

Actual results:
The provisioning works, but should have the bootorder defined 

Expected results:


Additional info:

Comment 3 Vatsal Parekh 2019-04-12 07:00:18 UTC
This seems working on latest nightly Foreman + plugin master

Comment 6 Lukáš Hellebrandt 2020-03-23 11:27:30 UTC
Verified with Sat 6.7 snap 16.

A disk tied to contanerDisk volume has indeed bootorder 1 specified in yaml.

Comment 9 errata-xmlrpc 2020-04-14 13:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.